/*
 * $Header: /home/cvs/jakarta-slide/src/share/org/apache/slide/common/ServiceInitializationFailedException.java,v 1.4.2.1 2004/02/05 16:05:04 mholz Exp $
 * $Revision: 1.4.2.1 $
 * $Date: 2004/02/05 16:05:04 $
 *
 * ====================================================================
 *
 * Copyright 1999-2002 The Apache Software Foundation 
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 */ 

package org.apache.slide.common;

import org.apache.slide.util.Messages;

/**
 * Service initialization failed.
 * 
 * @author <a href="mailto:remm@apache.org">Remy Maucherat</a>
 * @version $Revision: 1.4.2.1 $
 */
public class ServiceInitializationFailedException extends SlideException {
    
    
    // ----------------------------------------------------------- Constructors
    
    
    /**
     * Constructor.
     * 
     * @param service Service from which the exception was thrown
     * @param cause Cause of the exception
     */
    public ServiceInitializationFailedException(Service service, 
                                                String cause) {
        super(Messages.format
              (ServiceInitializationFailedException.class.getName(), 
               service, cause));
    }
    
    
    /**
     * Constructor.
     * 
     * @param service Service from which the exception was thrown
     * @param e Exception which is the initial cause of the problem
     */
    public ServiceInitializationFailedException(Service service, Exception e) {
        super(Messages.format
              (ServiceInitializationFailedException.class.getName(), 
               service, e.getMessage()));
    }
    
}
